%global modname smartcols
%global libsmartcols_version 2.30.2

Name:           python-%{modname}
Version:        0.3.0
Release:        %mkrel 11
Summary:        Python bindings for util-linux libsmartcols-library
Group:          Development/Python
License:        GPLv3+
URL:            https://github.com/ignatenkobrain/python-smartcols
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# git clone https://github.com/karelzak/util-linux.git
# cd util-linux
# git archive --format=tar.gz --prefix=util-linux/ -o libsmartcols-tests-%%{libsmartcols_version}.tar.gz v%%{libsmartcols_version} tests/ts/libsmartcols/ tests/expected/libsmartcols/
Source1:        libsmartcols-tests-%{libsmartcols_version}.tar.gz

BuildRequires:  gcc
BuildRequires:  pkgconfig(smartcols) >= %{libsmartcols_version}

%description
%{summary}.

%package -n python3-%{modname}
Summary:        Python3 bindings for util-linux libsmartcols-library
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner

%description -n python3-%{modname}
Python3 bindings for util-linux libsmartcols-library.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
BuildRequires:  python3-sphinx

%description doc
%{summary}.

%prep
%autosetup -a1

%build
%py3_build

# HACK, otherwise sphinx can't introspect dynamic library
ln -s build/lib.*-%{python3_version}/smartcols.*.so .
%{__python3} setup.py build_sphinx
rm -f doc/_build/html/.buildinfo

%install
%py3_install

%check
%{__python3} setup.py ptr || true

%files -n python3-%{modname}
%license COPYING
%doc README.md
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}.*.so

%files doc
%doc examples doc/_build/html


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.3.0-11.mga9
+ Revision: 1833847
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.3.0-10.mga9
+ Revision: 1782545
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 0.3.0-9.mga9
+ Revision: 1717047
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-8.mga8
+ Revision: 1534950
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 daviddavid <daviddavid> 0.3.0-7.mga8
+ Revision: 1450361
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 0.3.0-6.mga7
+ Revision: 1354400
- fix the check stage
+ tmb <tmb>
- rebuild for python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-5.mga7
+ Revision: 1300600
- Mageia 7 Mass Rebuild

* Sat Jun 30 2018 ngompa <ngompa> 0.3.0-4.mga7
+ Revision: 1240917
- Adapt to Mageia
- imported package python-smartcols


* Fri Jun 15 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 16 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-2
- Rebuild for Python 3.6

* Fri Nov 18 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.0-1
- Update to 0.2.0

* Tue Aug 23 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.1-2
- Skip continuous test as it stuck without PTY

* Tue Aug 23 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.1-1
- Initial package
